Skip to main content
`Ctrl`+`K`

# PetscDLLibraryPrepend

Add another dynamic library to search for symbols to the beginning of the search list

## Synopsis

    PetscErrorCode PetscDLLibraryPrepend(MPI_Comm comm, PetscDLLibrary *outlist, const char path[])

Collective, No Fortran Support

## Input Parameters

- comm - MPI communicator

- path - name of the library

## Output Parameter

- outlist - list of libraries

## Note

If library is already in the list it will remove the old reference.

## See Also

`PetscDLLibrary`, `PetscDLLibraryOpen()`, `PetscLoadDynamicLibrary()`, `PetscDLLibraryRetrieve()`, `PetscDLLibraryAppend()`

## Level

developer

## Location

src/sys/dll/dl.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages